using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

using System.Configuration;

namespace AxpDBNetCSSample.Samples
{
	public class Sample11 : System.Web.UI.Page
	{
		protected Axezz.WebControls.AxpDataGrid AxpDataGrid1;

		private void Page_Load(object sender, System.EventArgs e)
		{
			AxpDataGrid1.ConnectionString = ConfigurationSettings.AppSettings["ConnectionString"];
			AxpDataGrid1.AddEditLookup("ReportsTo", "Employees", "EmployeeID", "FirstName + ' ' + LastName AS Name", "2", true);
			SetEditFields();
		}

		private void SetEditFields()
		{
			Axezz.WebControls.EditFieldItem edit1 = new Axezz.WebControls.EditFieldItem();
			edit1.ColumnName = "City";
			edit1.DefaultValue = "London";
			AxpDataGrid1.SetEditField(edit1);

			Axezz.WebControls.EditFieldItem edit2 = new Axezz.WebControls.EditFieldItem();
			edit2.ColumnName = "ReportsTo";
			edit2.Caption = "Reports to";
			edit2.DefaultValue = "1";
			AxpDataGrid1.SetEditField(edit2);

			Axezz.WebControls.EditFieldItem edit3 = new Axezz.WebControls.EditFieldItem();
			edit3.ColumnName = "HireDate";
			edit3.DefaultValue = DateTime.Today;
			AxpDataGrid1.SetEditField(edit3);

			Axezz.WebControls.EditFieldItem edit4 = new Axezz.WebControls.EditFieldItem();
			edit4.ColumnName = "Notes";
			edit4.Rows = 10;
			AxpDataGrid1.SetEditField(edit4);

			Axezz.WebControls.EditFieldItem edit5 = new Axezz.WebControls.EditFieldItem();
			edit5.ColumnName = "LastName";
			edit5.Required = true;
			AxpDataGrid1.SetEditField(edit5);

			Axezz.WebControls.EditFieldItem edit6 = new Axezz.WebControls.EditFieldItem();		
			edit6.ColumnName = "FirstName";
			edit6.Required = true;
			AxpDataGrid1.SetEditField(edit6);
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);
		}
		#endregion
	}
}
